Collateral Account Balance
curl --request POST \
--url https://whitebit.com/api/v4/collateral-account/balance \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"ticker": "BTC",
"request": "{{request}}",
"nonce": 1594297865000
}
'import requests
url = "https://whitebit.com/api/v4/collateral-account/balance"
payload = {
"ticker": "BTC",
"request": "{{request}}",
"nonce": 1594297865000
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ticker: 'BTC', request: '{{request}}', nonce: 1594297865000})
};
fetch('https://whitebit.com/api/v4/collateral-account/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"BTC": 1,
"USDT": 1000,
"ETH": 5.5
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}Collateral account balance
Retrieve detailed balance information for a collateral trading account via the WhiteBIT V4 API.
Collateral Account Balance
Rate limit
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Response
Successful response - returns collateral balances by asset
Object mapping asset tickers to collateral balance amounts. Each key is an asset ticker (e.g., BTC, USDT) and the value is the balance in that asset's native units.
Collateral balance in the asset's native units
Was this page helpful?
⌘I